Bug 1409935 - [abrt] RBTools: __init__.py:829:resolve:DistributionNotFound: The 'tqdm' distribution was not found and is required by RBTools
Summary: [abrt] RBTools: __init__.py:829:resolve:DistributionNotFound: The 'tqdm' dist...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: RBTools
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:333d37698a9f660ac4942552a3a...
Keywords: Reopened
Depends On: 1403314
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 23:40 UTC by Robert Hancock
Modified: 2017-07-11 20:20 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-07-11 20:20:01 UTC


Attachments (Terms of Use)
File: backtrace (1.90 KB, text/plain)
2017-01-03 23:40 UTC, Robert Hancock
no flags Details
File: environ (3.52 KB, text/plain)
2017-01-03 23:41 UTC, Robert Hancock
no flags Details

Description Robert Hancock 2017-01-03 23:40:55 UTC
Version-Release number of selected component:
RBTools-0.7.7-1.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        /usr/bin/python /usr/bin/rbt post origin/73Core_LLD origin/73Core_LLD_MuxData
dso_list:       python2-setuptools-25.1.1-1.fc25.noarch
executable:     /usr/bin/rbt
kernel:         4.8.15-300.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
__init__.py:829:resolve:DistributionNotFound: The 'tqdm' distribution was not found and is required by RBTools

Traceback (most recent call last):
  File "/usr/bin/rbt", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2958, in <module>
    @_call_aside
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2944, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 2971, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 635, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 943, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.7/site-packages/pkg_resources/__init__.py", line 829, in resolve
    raise DistributionNotFound(req, requirers)
DistributionNotFound: The 'tqdm' distribution was not found and is required by RBTools

Local variables in innermost frame:
replace_conflicting: False
dist: None
requirers: set(['RBTools'])
to_activate: [RBTools 0.7.7 (/usr/lib/python2.7/site-packages)]
req: Requirement.parse('tqdm')
requirements: [Requirement.parse('six')]
new_requirements: [Requirement.parse('tqdm'), Requirement.parse('six')]
req_extras: {Requirement.parse('six'): (), Requirement.parse('tqdm'): ()}
required_by: defaultdict(<type 'set'>, {Requirement.parse('six'): set(['RBTools']), Requirement.parse('tqdm'): set(['RBTools'])})
ws: <pkg_resources.WorkingSet object at 0x7fdf5000c290>
new_requirement: Requirement.parse('six')
env: <pkg_resources.Environment object at 0x7fdf5000a290>
installer: None
self: <pkg_resources.WorkingSet object at 0x7fdf5000c290>
best: {'tqdm': None}
processed: {Requirement.parse('RBTools==0.7.7'): True}

Comment 1 Robert Hancock 2017-01-03 23:40:59 UTC
Created attachment 1237029 [details]
File: backtrace

Comment 2 Robert Hancock 2017-01-03 23:41:00 UTC
Created attachment 1237030 [details]
File: environ

Comment 3 Robert Hancock 2017-01-03 23:41:45 UTC
This seems to be a dependency error. The python2-tqdm package needs to be installed for RBTools to work but is not an RPM dependency.

Comment 4 Stephen Gallagher 2017-01-04 00:53:46 UTC
Yeah, it's not just tqdm either. I didn't double-check the new dependencies when I built this and no one bothered to test it while in updates-testing.

Sorry about that; at the moment it's blocked on a new package review. I'll get it updated as soon as possible.

Comment 5 Fedora Update System 2017-01-06 16:14:09 UTC
RBTools-0.7.7-2.el7.1 python-tqdm-4.10.0-2.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3320e5f247

Comment 6 Fedora Update System 2017-01-06 16:14:17 UTC
RBTools-0.7.7-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc50053a34

Comment 7 Fedora Update System 2017-01-06 16:14:21 UTC
RBTools-0.7.7-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bae75b9b58

Comment 8 Fedora Update System 2017-01-06 23:21:33 UTC
RBTools-0.7.7-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-fc50053a34

Comment 9 Fedora Update System 2017-01-07 00:48:39 UTC
RBTools-0.7.7-2.el7.1, python-tqdm-4.10.0-2.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3320e5f247

Comment 10 Fedora Update System 2017-01-07 01:19:16 UTC
RBTools-0.7.7-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bae75b9b58

Comment 11 Fedora Update System 2017-01-12 19:17:36 UTC
RBTools-0.7.8-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bba4d02de1

Comment 12 Fedora Update System 2017-01-12 19:17:43 UTC
RBTools-0.7.8-1.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-543894053e

Comment 13 Fedora Update System 2017-01-12 19:17:48 UTC
RBTools-0.7.8-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-616392f153

Comment 14 Fedora Update System 2017-01-13 07:48:28 UTC
RBTools-0.7.8-1.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-543894053e

Comment 15 Fedora Update System 2017-01-13 08:27:21 UTC
RBTools-0.7.8-1.fc24.1 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-616392f153

Comment 16 Fedora Update System 2017-01-13 08:32:44 UTC
RBTools-0.7.8-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bba4d02de1

Comment 17 Fedora Update System 2017-01-20 17:54:17 UTC
RBTools-0.7.8-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-01-20 18:18:55 UTC
RBTools-0.7.8-1.fc24.1 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-05-13 02:26:05 UTC
RBTools-0.7.8-1.el7.1 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2017-05-15 13:56:24 UTC
python-tqdm-4.10.0-2.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3320e5f247

Comment 21 Fedora Update System 2017-05-16 22:31:24 UTC
python-tqdm-4.10.0-2.el7.1 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3320e5f247

Comment 22 Fedora Update System 2017-06-01 23:37:07 UTC
python-tqdm-4.10.0-2.el7.1 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3320e5f247

Comment 23 Fedora Update System 2017-06-01 23:47:55 UTC
RBTools-0.7.10-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a281c013fd

Comment 24 Fedora Update System 2017-06-01 23:48:07 UTC
python-tqdm-4.10.0-2.el7.2 RBTools-0.7.10-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6930e37c2a

Comment 25 Fedora Update System 2017-06-01 23:48:17 UTC
RBTools-0.7.10-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ddd554564

Comment 26 Fedora Update System 2017-06-01 23:48:26 UTC
RBTools-0.7.10-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a80f97043d

Comment 27 Fedora Update System 2017-06-01 23:48:36 UTC
RBTools-0.7.10-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f8847682d

Comment 28 Fedora Update System 2017-06-03 02:50:35 UTC
RBTools-0.7.10-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a281c013fd

Comment 29 Fedora Update System 2017-06-03 02:56:29 UTC
RBTools-0.7.10-1.el7, python-tqdm-4.10.0-2.el7.2 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6930e37c2a

Comment 30 Fedora Update System 2017-06-03 04:35:55 UTC
RBTools-0.7.10-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5ddd554564

Comment 31 Fedora Update System 2017-06-03 04:36:56 UTC
RBTools-0.7.10-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a80f97043d

Comment 32 Fedora Update System 2017-06-04 19:39:47 UTC
RBTools-0.7.10-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f8847682d

Comment 33 Fedora Update System 2017-06-13 19:55:55 UTC
RBTools-0.7.10-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2017-06-14 03:17:49 UTC
RBTools-0.7.10-1.el7, python-tqdm-4.10.0-2.el7.2 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2017-06-14 07:21:50 UTC
RBTools-0.7.10-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2017-06-16 14:14:51 UTC
RBTools-0.7.10-1.el6 python-tqdm-4.10.0-2.el6.2 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a281c013fd

Comment 37 Fedora Update System 2017-06-18 02:46:05 UTC
RBTools-0.7.10-1.el6, python-tqdm-4.10.0-2.el6.2 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a281c013fd

Comment 38 Fedora Update System 2017-06-19 12:46:29 UTC
RBTools-0.7.10-1.el6 python-flake8-2.0-5.el6 python-tqdm-4.10.0-2.el6.2 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a281c013fd

Comment 39 Fedora Update System 2017-06-20 02:15:59 UTC
RBTools-0.7.10-1.el6, python-flake8-2.0-5.el6, python-tqdm-4.10.0-2.el6.2 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a281c013fd

Comment 40 Fedora Update System 2017-07-11 20:20:01 UTC
RBTools-0.7.10-1.el6, python-flake8-2.0-5.el6, python-tqdm-4.10.0-2.el6.2 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.